;***** Subroutine Register Variables mpy16u (Math.inc)
.def	mc16uH	=r16		;multiplicand highbyte
.def	mc16uL	=r17		;multiplicand low byte
.def	mp16uH	=r18		;multiplier high byte
.def	mp16uL	=r19		;multiplier low byte
.def	m16u0	=r19		;result byte 0 (LSB)
.def	m16u1	=r18		;result byte 1
.def	m16u2	=r22		;result byte 2
.def	m16u3	=r23		;result byte 3 (MSB)
.def	mcnt16u	=r24		;loop counter

;***** Subroutine Register Variables mul32 (Math.inc)
.def 	mp32u3	=r23
.def	mp32u2	=r22
.def	mp32u1	=r18
.def	mp32u0	=r19

.def 	mc32u3	=r30
.def	mc32u2	=r29
.def	mc32u1	=r28
.def	mc32u0	=r16

.def 	mr32u7	=r27
.def	mr32u6	=r26
.def	mr32u5	=r25
.def	mr32u4	=r24
.def 	mr32u3	=r23
.def	mr32u2	=r22
.def	mr32u1	=r18
.def	mr32u0	=r19

.def	loop_counter	= r17;

;***** Subroutine Register Variables add32 (Math.inc)
.def 	add1l 	= r17
.def 	add1h 	= r16
.def 	add2l 	= r19
.def 	add2h 	= r18
.def  	add1h2	= r20
.def 	add1h3	= r21
.def 	add2h2 	= r22
.def 	add2h3 	= r23

;***** Subroutine Register Variables bin2BCD32 (Math.inc)
.equ	AtBCD0	=11	;address of tBCD0
.equ	AtBCD2	=15	;address of tBCD1

.def	tBCD0	=r11	;BCD value digits 1 and 0
.def	tBCD1	=r12	;BCD value digits 3 and 2
.def	tBCD2	=r13	;BCD value digit 4
.def	tBCD3	=r14
.def	tBCD4	=r15	
.def	fbinL	=r19	;Low Byte , entspricht dem Ergebnis von mpy16u, 16u0
.def	fbinH	=r18	;binary value High byte
.def	fbinHH	=r22	
.def	fbinmsb =r23
.def	cnt16a	=r20	;loop counter
.def	tmp16a	=r24	;temporary value

